Get claim edge
GET/api/v1/claim-edges/{claimEdgeId}
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Public claim edge identifier
Responses
Section titled “ Responses ”Claim edge retrieved or changed successfully
object
object
object
Date-time (ISO 8601)
object
Date-time (ISO 8601)
Date-time (ISO 8601)
Headers
Section titled “Headers”Current version of the resource; send it as If-Match to change or delete it
Present (true) when the response was replayed from an earlier request with the same Idempotency-Key, instead of being executed again
Request validation failed
object
Canonical error type identifier (URI). The values are the problem types of stratastax-http’s problem-core; stratastax-codegen fails the build of a service when the two disagree.
Short, human-readable summary
HTTP status code
Human-readable explanation
URI of the request that caused the error
object
Field or property that failed validation
Machine-readable validation error code, e.g. REQUIRED, VALUE_TOO_LONG, INVALID_FORMAT, OUT_OF_RANGE. Canonical list is maintained per resource in the documentation.
Human readable validation message
The actual value that failed validation. Omitted if the value is sensitive.
Examples
{ "type": "https://errors.stratastax.dev/validation", "title": "Bad Request", "status": 400, "detail": "Received invalid request data", "errors": [ { "field": "displayName", "code": "REQUIRED", "message": "missing required field" } ]}{ "type": "https://errors.stratastax.dev/validation", "title": "Bad Request", "status": 400, "detail": "Received invalid request data", "errors": [ { "field": "participants[2].ghostPlayerId", "code": "DUPLICATE_GHOST_PLAYER", "message": "the ghost player already takes part in this match" } ]}{ "type": "https://errors.stratastax.dev/validation", "title": "Bad Request", "status": 400, "detail": "Request validation failed", "errors": [ { "field": "query", "code": "INVALID_SEARCH", "message": "'nonsense' is not a filterable field" } ]}Authentication required or token invalid
object
Canonical error type identifier (URI). The values are the problem types of stratastax-http’s problem-core; stratastax-codegen fails the build of a service when the two disagree.
Short, human-readable summary
HTTP status code
Human-readable explanation
URI of the request that caused the error
Examples
{ "type": "https://errors.stratastax.dev/authentication", "title": "Unauthorized", "status": 401, "detail": "Authentication required"}Insufficient permissions
object
Canonical error type identifier (URI). The values are the problem types of stratastax-http’s problem-core; stratastax-codegen fails the build of a service when the two disagree.
Short, human-readable summary
HTTP status code
Human-readable explanation
URI of the request that caused the error
Examples
{ "type": "https://errors.stratastax.dev/authorization", "title": "Access denied", "status": 403, "detail": "Insufficient permissions"}Resource not found
object
Canonical error type identifier (URI). The values are the problem types of stratastax-http’s problem-core; stratastax-codegen fails the build of a service when the two disagree.
Short, human-readable summary
HTTP status code
Human-readable explanation
URI of the request that caused the error
Examples
{ "type": "https://errors.stratastax.dev/not-found", "title": "Resource not found", "status": 404, "detail": "The requested resource could not be found"}Unexpected server error
object
Canonical error type identifier (URI). The values are the problem types of stratastax-http’s problem-core; stratastax-codegen fails the build of a service when the two disagree.
Short, human-readable summary
HTTP status code
Human-readable explanation
URI of the request that caused the error
Examples
{ "type": "https://errors.stratastax.dev/internal", "title": "Oops! Something went wrong.", "status": 500, "detail": "Try again later."}